#! /bin/sh

# ncap-uploader.sh -- shovel ncap files toward an upstream relay/delay box

PATH=/usr/local/bin:$PATH; export PATH

. /usr/local/etc/ncap-default.sh
. /usr/local/etc/ncap-config.sh

mkdir -p $lockdir
if [ -s $lockfile ]; then
	# XXX do we need staleness test here?
	exit
fi

trap "rm -f $lockfile; exit" 0 1 2 3 4 5 15
echo $$ > $lockfile

ch="ch$channel"

cd $spooldir/waiting/
while :; do
	files=$(ls -1 | egrep \.ncap\.gz\$ | head -n $maxper)
	if [ -z "$files" ]; then
		break
	fi
    for file in $files; do
        echo "Uploading $file to $login@$server:up/$ch/"
        RSYNC_RSH="ssh -i $keyfile" rsync --timeout=60 \
            --remove-source-files "$file" "$login@$server:up/$ch/"
        if [ "$?" != "0" ]; then
            exit 1
        fi
    done
done

exit 0
